package it.unina.tools.csvreport;

import java.util.List;

/**
 * classe che contiene i risultati di un test relativamente ad una entità
 * corrisponde ad una riga del file csv
 * gli attributi sono istanziati nel costruttore e letti tramite i metodi get
 * @author francesco
 *
 */
public class CoverageResult {
	private String packageName;
	private String item;
	private String type;
	private List<CoverageCriterion> coverageResults;
	
	public CoverageResult(String packageName, String item, String type,
			List<CoverageCriterion> coverageResults) {
		super();
		this.packageName = packageName;
		this.item = item;
		this.type = type;
		this.coverageResults = coverageResults;
	}
		
	public String getPackageName() {
		return packageName;
	}
	public String getItem() {
		return item;
	}
	public String getType() {
		return type;
	}
	public List<CoverageCriterion> getCoverageResults() {
		return coverageResults;
	}	
}
